---
layout: page
title: Privacy Policy
permalink: /privacy/
---

## TLDR

- The website owner doesn't steal or sell any of your data.
- The website uses Google Analytics in a GDPR compliant way.
- Cookies are used where necessary.
- Local storage is used where necessary.
- The site is hosted by GitHub Pages.

## Introduction

This policy sets out the different areas where user privacy is concerned and outlines the obligations & requirements
of the users, the website and website owner. Furthermore the way this website processes, stores and protects user data
and information will also be detailed within this policy.

## The Website

This website and its owner take a proactive approach to user privacy and ensure the necessary steps are taken to protect
the privacy of its users throughout their visiting experience.

## Access logs

The service hosting the **unblob.org** website stores access logs.
This data is not accessible to and not readable for the owner of this website.
The hosting service, GitHub, has their privacy policy is available here:
[https://docs.github.com/en/github/site-policy/github-privacy-statement](https://docs.github.com/en/github/site-policy/github-privacy-statement)

## About cookies

### Cookie consent

This website uses cookies. By using this website and agreeing to this policy, you consent to **unblob.org**'s use of
cookies in accordance with the terms of this policy. Cookies are information packets sent by web servers to web
browsers, and stored by the web browsers. The information is then sent back to the server each time the browser requests
a page from the server. This enables a web server to identify and track web browsers.

In order to comply with your preferences, the website may store a small number tiny functional cookies so that you're
not asked to make this choice again, to be able to save your settings and to warn you of an updated changelog. Please
note that these cookies are only used to guarantee a user-friendly visit and a proper website performance.

### Google Analytics

**unblob.org** uses Google Analytics to analyse the use of this website. Google Analytics generates statistical and
other information about website use by means of cookies. The information generated relating to this website is used to
create reports about the use of the website. Google will store and use this information. Google's privacy policy is
available at: [https://www.google.com/policies/privacy](https://www.google.com/policies/privacy/).
To opt-out Of Google Analytics Google created a browser add-on that allows you to turn off Google Analytics trackers,
and works for Chrome, Firefox, Safari, Opera, and even Internet Explorer 11.

### Refusing cookies

If you wish to disable cookies, you may do so through your individual browser options.
More detailed information about cookie management with specific web browsers can be found at the browsers' respective
websites.

## Local Storage

Certain pages on this website may use your browser's local storage to allow you to store some history.
This data is not available to the website owner, or sent to any third parties.

## External links

Although this website only looks to include quality, safe and relevant external links users should always adopt a policy
of caution before clicking any external web links mentioned throughout this website. The owner of this website cannot
guarantee or verify the contents of any externally linked website despite his best efforts.
Users should therefore note they click on external links at their own risk and this website and its owner cannot be held
liable for any damages or implications caused by visiting any external links mentioned.

## Changes to policy

Changes in this policy will be posted on this page. 
You are advised to check this page regularly to view the most recent privacy policy.

## Kudos

This privacy policy was inspired by [erresen.github.io](https://erresen.github.io/privacy/)
